## debian-edu 0.813

=== Makefile ===
#!/usr/bin/make -f

# One of stable, sarge, etch, unstable
TARGET_DIST = etch

debian/control: gen-control debian/control.stub tasks/* sources.list.$(TARGET_DIST)
	(cat debian/control.stub; \
	 ./gen-control -s ./sources.list.$(TARGET_DIST) -D -c -m -i -A) > $@.new && mv $@.new $@

tasksel: debian-edu-tasks.desc
debian-edu-tasks.desc: gen-control tasks/* sources.list.$(TARGET_DIST)
	./gen-control -s ./sources.list.$(TARGET_DIST) -t -A > debian-edu-tasks.desc.new && mv debian-edu-tasks.desc.new debian-edu-tasks.desc

packages.txt: gen-control tasks/* sources.list.$(TARGET_DIST)
	./gen-control -s ./sources.list.$(TARGET_DIST) -a > packages.txt.$$$$ && mv packages.txt.$$$$ packages.txt

by_vote:
	rm -f by_vote
	wget http://developer.skolelinux.no/popcon/by_vote

packages-sorted.txt: packages.txt by_vote
	for pkg in `cat packages.txt` ; do \
		grep " $$pkg " by_vote ; \
	done | LANG=C sort -r -n -k 4 -k 3 > packages-sorted.txt
usage: packages-sorted.txt

clean: 
	rm -rf tmp
	rm -f tasks/*~a
	rm -rf tasksel debian-edu-tasks.desc
	rm -f packages.txt by_vote packages-sorted.txt

=== debian/changelog ===
debian-edu (0.813) unstable; urgency=low

  [ Morten Werner Olsen ]
  * Add usage() and -h to gen-control as a documentation of the options.
  * New option for ignoring apt errors in gen-control and use this when
    updating debian/control. (Closes: #399754)
  * Changing default distribution from terra (-edu) to etch to make sure
    we only use package lists from Debian when building for Debian.

 -- Morten Werner Olsen <werner@debian.org>  Wed, 22 Nov 2006 23:49:36 +0100

debian-edu (0.812) unstable; urgency=low

  [ Steffen Joeris ]
  * thin-client-server task:
   - Add italc-master to the task as a suggest to provide a tool for
     advicing students
  * music task:
   - Add dependency against score-reading-trainer for music teaching purpose
  * mathematics task:
   - Add kbruch to suggests
   - Add kregexpeditor to suggests
  * language task:
   - Add klatin to dependencies
   - Add kwordquiz to recommends
  * physics task:
   - Add kturtle to suggests for teaching a programming language
  * misc task:
   - Add dependency against vym and kdissert (mindmapping tools)

  [ Petter Reinholdtsen ]
  * common task:
    - Change suggests on ethereal to 'wireshark | ethereal', as
      the package has changed name.
    - Recommends iftop, a nice and small tool to check the bandwidth usage.
    - Move cpqarrayd from recommends to depends, as it is small and required
      for machines with that kind of hardware.
    - Change ext2resize from depends to suggests.  It is no longer needed
      for online resizing, as resize2fs support it now.
    - Depend on sysfsutils, to provide useful tools for accessing /sys/.
    - Depend on procinfo, for stats and debugging.
  * main-server task:
    - Prefer nagios2 over nagios-text.
  * standalone task:
    - Change avahi-daemon and libnss-mdns from suggests to depends, to
      get the mdns and zeroconf functionallity and to match the Debian
      desktop task.  Increase priority of these packages to get them
      on CD 1.
    - Replace zeroconf with avahi-autoipd for ad-hoc network config,
      after talking with Sjoerd Simons. (Closes: #394329)
    - Suggest avahi-discover as a useful for for dynamic service location.
    - Increase priority of kseg, kino and stopmotion, to try to fill
      up the CD.
    - Adjust to cope with the mozilla-thunderbird -> icedove renaming.
  * Try to make sure gen_control exit with an error if one of the APT
    sources are unavailable.
  * Modify all APT source lists to use http and ftp.skolelinux.org instead
    of ftp.skolelinux.no.

  [ Morten Werner Olsen ]
  * Moving koffice-i18n-nn and koffice-i18n-se from Recommends to Suggests
    as these are not present in unstable anymore. (Closes: #396231)

  [ Luk Claes ]
  * Added myself to uploaders.

 -- Morten Werner Olsen <werner@debian.org>  Sun, 19 Nov 2006 21:57:20 +0100

debian-edu (0.811) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * New source list sources.list.terra to use the debian edu extra
    repository.  Use it by default.
  * common task:
    - Add debian-edu-archive-keyring.
    - Depend on nullidentd instead of only recommending it.  It is
      used by 29% of the population and should be on the CD.
  * networked task:
    - Depend on sitesummary-client.
  * main-server task:
    - Depend on sitesummary.
  * standalone task:
    - Switch from synaptic to adept as the default package manager to
      save space (it is a kde package).  Raise its priority to get it
      on the CD.
    - Increase priority of ktuberling to try to get it on the CD.  It
      is used by 37% of the population.
    - Verified that openoffice.org can use sun-java5-jre instead of
      gcj.  Enabling this force the user to accept the SUN Java
      non-free license during installation, so it is not enabled.
      Reduced sun-java5-jre to suggests because of this.
    - Depend on alsa-utils and alsa-base to get ALSA tools and match the
      Debian desktop task.

   [ Steffen Joeris ]
   * Remove obsolet build-depends-indep (debhelper) to make sure the
     package doesn't show up on the list of policy violating packages

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  7 Oct 2006 09:34:31 +0200

debian-edu (0.810) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * standalone task:
    - Move gimp and gimp-data-extras from recommends to depends.  gimp
      is used by 41% of the population and should be on the CD.
    - Move ktuberling from recommends to depends.  It is used by 32%
      of the population and should be on the CD.
    - Replace gnash with 'konqueror-plugin-gnash, mozilla-plugin-gnash', to
      get some free Flash plugins.  Increase priority, and make it a depend.
    - Reduce gnupg-doc to suggests, as it is missing from debian/unstable at the
      moment.
  * laptop task:
    - Include wlassistant as the wifi management tool of choice.  Found
      in kubuntu.
  * desktop-other task:
    - Reduce gnupg-doc to suggests, as it is missing from debian/unstable
      at the moment. (Closes: #389188)

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 24 Sep 2006 16:50:41 +0200

=== debian/control ===
Source: debian-edu
Section: misc
Priority: extra
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Raphael Hertzog <hertzog@debian.org>, Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Joey Hess <joeyh@debian.org>, Morten Werner Olsen <werner@debian.org>, Luk Claes <luk@debian.org>
Build-Depends: debhelper (>= 4)
Standards-Version: 3.7.2

Package: education-tasks
Architecture: any
Depends: tasksel (>= 2.07)
Description: Debian Edu tasks for tasksel
 This package provides Debian Edu tasks in tasksel.

Package: education-astronomy
Architecture: any
Depends: education-tasks
Recommends: kstars, spacechart, starplot, stars, sunclock, xplanet, xplanet-images, xtide, xtide-data
Suggests: celestia, gstar, stellarium, xephem
Description: DebianEdu astronomy related applications
 This metapackage depends on various applications that can be used to
 teach astronomy.

Package: education-chemistry
Architecture: any
Depends: education-tasks
Recommends: chemtool, gperiodic, kalzium, rasmol
Suggests: lum, mek, xem, xpovchem
Description: DebianEdu chemistry related applications
 This metapackage depends on various applications that can be used to
 teach chemistry.

Package: education-common
Architecture: any
Depends: education-tasks
Recommends: apt-listchanges, arping, arrayprobe, bc, cfengine2, cfengine2-doc, cpqarrayd, cron-apt, dash, debconf-utils, debian-archive-keyring, debian-edu-archive-keyring, debian-goodies, dmidecode, eject, emacs21, etherwake, ethtool, finger, hdparm, host, hwdata, hwinfo, iftop, iproute, isag, less, libpam-ssh, libpam-tmpdir, libwww-perl, localization-config, lsscsi, lvm2, man-db, manpages, mii-diag, modconf, mpt-status, mtools, ncftp, ng-utils, nictools-nopci, nictools-pci, nmap, nscd, nullidentd, nvram-wakeup, pciutils, popularity-contest, procinfo, procmail, psmisc, raidutils, read-edid, recover, reportbug, resolvconf, rsync, smartmontools, ssh, strace, sudo, sysfsutils, sysutils, tcpdump, tcptraceroute, traceroute, udev, vim, wget, xdebconfigurator
Suggests: cfengine, cfengine-doc, chkconfig, debian-edu-config, debian-edu-doc, debian-edu-install, dpt-raidutil, ext2resize, ident-server, kudzu, libpam-devperm, locale-config-skolelinux, mdetect, smartsuite, wireshark | ethereal
Description: DebianEdu common packages
 A metapackage containing dependencies for packages required on all
 installations in the DebianEdu custom Debian distribution.

Package: education-desktop-gnome
Section: gnome
Architecture: any
Depends: education-tasks
Recommends: gaim, gdm, gnome-desktop-environment, mozilla-firefox-gnome-support
Suggests: abiword, amaya-gtk, bluefish, epiphany-browser, esound, evolution | balsa, gcalctool, gnome-games, gnome-media, gnome-themes, gnumeric, nautilus-cd-burner
Description: DebianEdu GNOME desktop applications
 This metapackage depends on various GNOME office and desktop applications
 that are useful for teachers and their students.

Package: education-desktop-kde
Section: kde
Architecture: any
Depends: education-tasks
Recommends: ark, kaddressbook, kcalc, kcharselect, kde-i18n-da, kde-i18n-de, kde-i18n-el, kde-i18n-es, kde-i18n-fr, kde-i18n-it, kde-i18n-lv, kde-i18n-nb, kde-i18n-nn, kde-i18n-se, kdebase, kdegraphics-kfile-plugins, kdemultimedia-kio-plugins, kdepasswd, kdepim-kio-plugins, kdf, kdict, kdm, kghostview, kmail, kmix, koffice, koffice-i18n-da, koffice-i18n-de, koffice-i18n-el, koffice-i18n-es, koffice-i18n-fr, koffice-i18n-it, koffice-i18n-lv, koffice-i18n-nb, konq-plugins, konqueror, konsole, korganizer, kscreensaver, ksirc, ksmserver, ksnapshot, kwin, menu, menu-xdg
Suggests: kate, kate-plugins, kde-i18n-no, kde-i18n-nony, kdeaddons-kfile-plugins, kdepim-kfile-plugins, kfilereplace, kfind, kiconedit, kmid, kmidi, koffice-doc-html, koffice-i18n-nn, koffice-i18n-no, koffice-i18n-nony, koffice-i18n-se, kpaint, kpm, krecord, kruler, kschoolmenu, kview, noatun, noatun-plugins, x-window-manager
Description: DebianEdu KDE desktop applications
 This metapackage depends on various KDE office and desktop applications
 that are useful for teachers and their students.

Package: education-desktop-other
Architecture: any
Depends: education-tasks
Recommends: aptitude, artsbuilder, blender, cvs, denemo, dia, education-workstation, gcompris, gettext, gimp-data-extras, gnupg, gperiodic, gv, iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish, kalzium, kbabel, kdeedu, kgeography, kig, konq-plugins, konqueror, kpackage, kpercentage, kseg, kstars, kword, netpbm, noteedit, ogle-gui, qcad, quanta, rdesktop, sane, smbclient, sodipodi, solfege, wine, wine-doc, wine-utils, xine-ui, xplanet, xsane
Suggests: amaya-lesstif, autoconf, celestia, cvsbook, dbdesigner, ddd, drgenius, drgeo, g++, gcc, gdb, geg, ghostview, gimp1.2, gnomemeeting, gnumeric, gnupg-doc, gnuplot, kbear, kchart, kde-i18n-ca, kde-i18n-da, kde-i18n-de, kde-i18n-el, kde-i18n-es, kde-i18n-fr, kde-i18n-it, kde-i18n-lv, kde-i18n-nb, kde-i18n-nl, kde-i18n-nn, kde-i18n-no, kde-i18n-nony, kde-i18n-se, kernel-package, keuklid, kformula, kgeo, kgraph, kivio, klearnspelling, klogic, kmail, kmidi, kmplot, kmultiply, knode, knorskverbs, koffice, kontour, koshell, kpaint, kpresenter, ksirc, kspread, ktouch, kugar, kverbos, kwebmin, libncurses5-dev, lightspeed, make, mgp, mrproject, ncftp, openoffice.org, opera, planner, postgresql-client, qtcups, sql-ledger, ted, timidity-patches, ucblogo, wget, winesetuptk, xine-dvdnav, xmms, xmms-cdread, yacas
Description: DebianEdu desktop applications (non-GNOME and non-KDE)
 This metapackage depends on various office and desktop applications
 that are useful for teachers and their students.

Package: education-electronics
Architecture: any
Depends: education-tasks
Recommends: electric, ksimus, ksimus-boolean, ksimus-datarecorder, ksimus-floatingpoint, oregano, pcb, vipec
Suggests: xcircuit
Description: DebianEdu electronics related applications
 This metapackage depends on various applications that can be used to
 teach electronics.

Package: education-geography
Architecture: any
Depends: education-tasks
Suggests: grass
Description: DebianEdu applications for geography
 This metapackage depends on various applications that can be used
 to teach geography.

Package: education-graphics
Architecture: any
Depends: education-tasks
Recommends: dia-gnome, qcad, sketch, tgif, xaos, xfig, xpaint
Suggests: blender, gimp1.2, kontour, panorama
Description: DebianEdu graphics related applications
 This metapackage depends on various applications that can be used to
 teach graphics and pictural art.

Package: education-language
Architecture: any
Depends: education-tasks
Recommends: aspell, dict, festival, gnome-utils, hanzim, i2e, khangman, kiten, klatin, klettres, ktouch, kverbos, kvoctrain, kwordquiz, lletters, tipptrainer, trans-de-en, tuxtype, typespeed, wordnet, wordtrans-data, wordtrans-kde
Suggests: kmessedwords, wordtrans-console
Description: DebianEdu language related educational applications
 This metapackage depends on various applications that can be used to
 teach a (foreign) language. It includes some typing applications.

Package: education-laptop
Architecture: any
Depends: education-tasks
Recommends: acpi, acpi-support, acpid, anacron, apmd, bluez-cups, bluez-utils, cpufrequtils, hibernate, hotkey-setup, kdebluetooth, laptop-mode-tools, network-manager | kwlan, pcmcia-cs, powernowd | cpudyn | cpufreqd, uswsusp, wireless-tools, wlassistant, xfree86-driver-synaptics
Suggests: bluez-pin
Description: DebianEdu laptop packages
 A metapackage containing dependencies for packages required on all
 laptop installations in the DebianEdu custom Debian distribution.

Package: education-logic-games
Architecture: any
Depends: education-tasks
Recommends: cgoban, gnome-games, gnuchess, gnugo, gtans, ksokoban, xboard, xjig, xsok
Suggests: crafty
Description: DebianEdu logic games
 This metapackage depends on various logic games that can be used to
 teach logic to children.

Package: education-main-server
Architecture: any
Depends: education-tasks
Recommends: apache-doc, apache2 | apache, bind9, bind9-doc, calamaris, courier-imap-ssl, courier-ldap, db4.2-util, dhcp3-server | dhcp, dlint, dnswalk, dsh, education-networked, exim4-daemon-heavy, iptables, lynx, makepasswd, moodle-debian-edu-theme, munin, nagios-plugins, nagios2 | nagios-text, nfs-kernel-server, nslint, ntp | ntp-simple | ntp-refclock, openssl, samba, samba-doc, sitesummary, slapd, slbackup, squid, squidguard, ssh, tdb-tools, webalizer
Suggests: chastity-list, cipux-all, cipux-cat-webmin, cipux-cibot, cipux-common, cipux-profile, cipux-rpc, debian-edu-fr-all, debian-edu-fr-skels, italc, moodle-cipux, moodle-courses-fr, ncs, schoolbell, schooltool, webmin, webmin-apache, webmin-bind, webmin-cfengine, webmin-core, webmin-cupsadmin-skolelinux, webmin-dhcpd, webmin-dhcpd3, webmin-exports, webmin-grub, webmin-inetd, webmin-ldap-netgroups, webmin-ldap-user-simple, webmin-lvm, webmin-quota, webmin-raid, webmin-samba, webmin-slbackup, webmin-software, webmin-squid, webmin-sshd, webmin-status, webmin-webalizer, zone-file-check
Description: DebianEdu main server packages
 A metapackage containing dependencies for packages required on all
 main server installations in the DebianEdu custom Debian distribution.

Package: education-mathematics
Architecture: any
Depends: education-tasks
Recommends: drgeo, geg, gnuplot, grace, kig, kmplot, kpercentage, kseg, mathwar, maxima, octave, pari-gp, xabacus, xaos, xeukleides, yacas
Suggests: abakus, drgenius, k3dsurf, kalgebra, kbruch, kgeo, kregexpeditor, magicsquare, qliss3d, scilab, xarith, xeuklides
Description: DebianEdu mathematical applications
 This metapackage depends on various applications that can be used to
 teach mathematics, geometry, and statistics.

Package: education-misc
Architecture: any
Depends: education-tasks
Recommends: gcompris, keduca, tilp, vym
Suggests: flashkard, ggradebook, visualos
Description: DebianEdu miscellaneous applications for education
 This metapackage depends on miscellaneous applications that can be useful
 for teaching purpose.

Package: education-music
Architecture: any
Depends: education-tasks
Recommends: denemo, festival, gtick, lilypond, rosegarden, score-reading-trainer, solfege, xmms
Suggests: brahms
Description: DebianEdu music and sound applications
 This metapackage depends on various applications that can be used to
 teach music.

Package: education-networked
Architecture: any
Depends: education-tasks
Recommends: autofs-ldap, cupsys, education-common, foomatic-filters-ppds, hpijs, hpijs-ppds, krb5-user, libnss-ldap, libpam-ldap, libpam-mount, munin-node, nfs-common, ntp | ntp-simple | ntp-refclock, ntp-doc, ntpdate, pnm2ppa, sitesummary-client, smbfs, winbind
Suggests: cupsomatic-ppd, libldap2-tls
Description: DebianEdu networked packages
 A metapackage containing dependencies for packages required on all
 networked installations (workstation and main-server, but not
 standalone) in the DebianEdu custom Debian distribution.

Package: education-physics
Architecture: any
Depends: education-tasks
Suggests: kturtle, lum, mek, xem, xoscope
Description: DebianEdu physics related applications
 This metapackage depends on various applications that can be used to
 teach physics.

Package: education-services
Architecture: any
Depends: education-tasks
Recommends: dansguardian
Suggests: wims
Description: DebianEdu services for educational institutions
 This metapackage depends on several applications providing useful
 infrastructure and services in an educational context: 
 e-learning services, online documentation repository,
 web content filter...

Package: education-standalone
Architecture: any
Depends: education-tasks

## debian-edu 0.813ubuntu1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # One of stable, sarge, etch, unstable
-TARGET_DIST = etch
+TARGET_DIST = feisty
 
 debian/control: gen-control debian/control.stub tasks/* sources.list.$(TARGET_DIST)
 	(cat debian/control.stub; \

=== debian/changelog ===
debian-edu (0.813ubuntu1) feisty; urgency=low

  * Re-sync with Debian
  * Makefile: change target distro to feisty
  * sources.list.feisty: new file

 -- Barry deFreese <bddebian@comcast.net>  Sat, 16 Dec 2006 23:35:28 -0500

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
 Package: education-astronomy
 Architecture: any
 Depends: education-tasks
-Recommends: kstars, spacechart, starplot, stars, sunclock, xplanet, xplanet-images, xtide, xtide-data
-Suggests: celestia, gstar, stellarium, xephem
+Recommends: celestia, kstars, spacechart, starplot, sunclock, xplanet, xplanet-images, xtide, xtide-data
+Suggests: gstar, stars, stellarium, xephem
 Description: DebianEdu astronomy related applications
  This metapackage depends on various applications that can be used to
  teach astronomy.
@@ -33,8 +33,8 @@
 Package: education-common
 Architecture: any
 Depends: education-tasks
-Recommends: apt-listchanges, arping, arrayprobe, bc, cfengine2, cfengine2-doc, cpqarrayd, cron-apt, dash, debconf-utils, debian-archive-keyring, debian-edu-archive-keyring, debian-goodies, dmidecode, eject, emacs21, etherwake, ethtool, finger, hdparm, host, hwdata, hwinfo, iftop, iproute, isag, less, libpam-ssh, libpam-tmpdir, libwww-perl, localization-config, lsscsi, lvm2, man-db, manpages, mii-diag, modconf, mpt-status, mtools, ncftp, ng-utils, nictools-nopci, nictools-pci, nmap, nscd, nullidentd, nvram-wakeup, pciutils, popularity-contest, procinfo, procmail, psmisc, raidutils, read-edid, recover, reportbug, resolvconf, rsync, smartmontools, ssh, strace, sudo, sysfsutils, sysutils, tcpdump, tcptraceroute, traceroute, udev, vim, wget, xdebconfigurator
-Suggests: cfengine, cfengine-doc, chkconfig, debian-edu-config, debian-edu-doc, debian-edu-install, dpt-raidutil, ext2resize, ident-server, kudzu, libpam-devperm, locale-config-skolelinux, mdetect, smartsuite, wireshark | ethereal
+Recommends: apt-listchanges, arping, arrayprobe, bc, cfengine2, cfengine2-doc, cpqarrayd, cron-apt, dash, debconf-utils, debian-archive-keyring, debian-edu-archive-keyring, debian-edu-config, debian-edu-install, debian-goodies, dmidecode, eject, emacs21, etherwake, ethtool, finger, hdparm, host, hwdata, hwinfo, iftop, iproute, isag, less, libpam-ssh, libpam-tmpdir, libwww-perl, localization-config, lsscsi, lvm2, man-db, manpages, mii-diag, modconf, mpt-status, mtools, ncftp, ng-utils, nictools-nopci, nictools-pci, nmap, nscd, nullidentd, nvram-wakeup, pciutils, popularity-contest, procinfo, procmail, psmisc, raidutils, read-edid, recover, reportbug, resolvconf, rsync, smartmontools, ssh, strace, sudo, sysfsutils, sysutils, tcpdump, tcptraceroute, traceroute, udev, vim, wget, xdebconfigurator
+Suggests: cfengine, cfengine-doc, chkconfig, debian-edu-doc, dpt-raidutil, ext2resize, ident-server, kudzu, libpam-devperm, locale-config-skolelinux, mdetect, smartsuite, wireshark | ethereal
 Description: DebianEdu common packages
  A metapackage containing dependencies for packages required on all
  installations in the DebianEdu custom Debian distribution.
@@ -62,8 +62,8 @@
 Package: education-desktop-other
 Architecture: any
 Depends: education-tasks
-Recommends: aptitude, artsbuilder, blender, cvs, denemo, dia, education-workstation, gcompris, gettext, gimp-data-extras, gnupg, gperiodic, gv, iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish, kalzium, kbabel, kdeedu, kgeography, kig, konq-plugins, konqueror, kpackage, kpercentage, kseg, kstars, kword, netpbm, noteedit, ogle-gui, qcad, quanta, rdesktop, sane, smbclient, sodipodi, solfege, wine, wine-doc, wine-utils, xine-ui, xplanet, xsane
-Suggests: amaya-lesstif, autoconf, celestia, cvsbook, dbdesigner, ddd, drgenius, drgeo, g++, gcc, gdb, geg, ghostview, gimp1.2, gnomemeeting, gnumeric, gnupg-doc, gnuplot, kbear, kchart, kde-i18n-ca, kde-i18n-da, kde-i18n-de, kde-i18n-el, kde-i18n-es, kde-i18n-fr, kde-i18n-it, kde-i18n-lv, kde-i18n-nb, kde-i18n-nl, kde-i18n-nn, kde-i18n-no, kde-i18n-nony, kde-i18n-se, kernel-package, keuklid, kformula, kgeo, kgraph, kivio, klearnspelling, klogic, kmail, kmidi, kmplot, kmultiply, knode, knorskverbs, koffice, kontour, koshell, kpaint, kpresenter, ksirc, kspread, ktouch, kugar, kverbos, kwebmin, libncurses5-dev, lightspeed, make, mgp, mrproject, ncftp, openoffice.org, opera, planner, postgresql-client, qtcups, sql-ledger, ted, timidity-patches, ucblogo, wget, winesetuptk, xine-dvdnav, xmms, xmms-cdread, yacas
+Recommends: aptitude, artsbuilder, blender, celestia, cvs, denemo, dia, education-workstation, gcompris, gettext, gimp-data-extras, gnupg, gperiodic, gv, iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish, kalzium, kbabel, kdeedu, kgeography, kig, konq-plugins, konqueror, kpackage, kpercentage, kseg, kstars, kword, netpbm, noteedit, ogle-gui, qcad, quanta, rdesktop, sane, smbclient, sodipodi, solfege, wine, xine-ui, xplanet, xsane
+Suggests: amaya-lesstif, autoconf, cvsbook, dbdesigner, ddd, drgenius, drgeo, g++, gcc, gdb, geg, ghostview, gimp1.2, gnomemeeting, gnumeric, gnupg-doc, gnuplot, kbear, kchart, kde-i18n-ca, kde-i18n-da, kde-i18n-de, kde-i18n-el, kde-i18n-es, kde-i18n-fr, kde-i18n-it, kde-i18n-lv, kde-i18n-nb, kde-i18n-nl, kde-i18n-nn, kde-i18n-no, kde-i18n-nony, kde-i18n-se, kernel-package, keuklid, kformula, kgeo, kgraph, kivio, klearnspelling, klogic, kmail, kmidi, kmplot, kmultiply, knode, knorskverbs, koffice, kontour, koshell, kpaint, kpresenter, ksirc, kspread, ktouch, kugar, kverbos, kwebmin, libncurses5-dev, lightspeed, make, mgp, mrproject, ncftp, openoffice.org, opera, planner, postgresql-client, qtcups, sql-ledger, ted, timidity-patches, ucblogo, wget, wine-doc, wine-utils, winesetuptk, xine-dvdnav, xmms, xmms-cdread, yacas
 Description: DebianEdu desktop applications (non-GNOME and non-KDE)
  This metapackage depends on various office and desktop applications
  that are useful for teachers and their students.
@@ -106,8 +106,7 @@
 Package: education-laptop
 Architecture: any
 Depends: education-tasks
-Recommends: acpi, acpi-support, acpid, anacron, apmd, bluez-cups, bluez-utils, cpufrequtils, hibernate, hotkey-setup, kdebluetooth, laptop-mode-tools, network-manager | kwlan, pcmcia-cs, powernowd | cpudyn | cpufreqd, uswsusp, wireless-tools, wlassistant, xfree86-driver-synaptics
-Suggests: bluez-pin
+Recommends: acpi, acpi-support, acpid, anacron, apmd, bluez-cups, bluez-pin, bluez-utils, cpufrequtils, hibernate, hotkey-setup, kdebluetooth, laptop-mode-tools, network-manager | kwlan, pcmcia-cs, powernowd | cpudyn | cpufreqd, uswsusp, wireless-tools, wlassistant, xfree86-driver-synaptics
 Description: DebianEdu laptop packages
  A metapackage containing dependencies for packages required on all
  laptop installations in the DebianEdu custom Debian distribution.
@@ -124,8 +123,8 @@
 Package: education-main-server
 Architecture: any
 Depends: education-tasks
-Recommends: apache-doc, apache2 | apache, bind9, bind9-doc, calamaris, courier-imap-ssl, courier-ldap, db4.2-util, dhcp3-server | dhcp, dlint, dnswalk, dsh, education-networked, exim4-daemon-heavy, iptables, lynx, makepasswd, moodle-debian-edu-theme, munin, nagios-plugins, nagios2 | nagios-text, nfs-kernel-server, nslint, ntp | ntp-simple | ntp-refclock, openssl, samba, samba-doc, sitesummary, slapd, slbackup, squid, squidguard, ssh, tdb-tools, webalizer
-Suggests: chastity-list, cipux-all, cipux-cat-webmin, cipux-cibot, cipux-common, cipux-profile, cipux-rpc, debian-edu-fr-all, debian-edu-fr-skels, italc, moodle-cipux, moodle-courses-fr, ncs, schoolbell, schooltool, webmin, webmin-apache, webmin-bind, webmin-cfengine, webmin-core, webmin-cupsadmin-skolelinux, webmin-dhcpd, webmin-dhcpd3, webmin-exports, webmin-grub, webmin-inetd, webmin-ldap-netgroups, webmin-ldap-user-simple, webmin-lvm, webmin-quota, webmin-raid, webmin-samba, webmin-slbackup, webmin-software, webmin-squid, webmin-sshd, webmin-status, webmin-webalizer, zone-file-check
+Recommends: apache-doc, apache2 | apache, bind9, bind9-doc, calamaris, courier-imap-ssl, courier-ldap, db4.2-util, dhcp3-server | dhcp, dlint, dnswalk, dsh, education-networked, exim4-daemon-heavy, iptables, lynx, makepasswd, moodle-debian-edu-theme, munin, nagios-plugins, nagios2 | nagios-text, nfs-kernel-server, nslint, ntp | ntp-simple | ntp-refclock, openssl, samba, samba-doc, schoolbell, schooltool, sitesummary, slapd, slbackup, squid, squidguard, ssh, tdb-tools, webalizer
+Suggests: chastity-list, cipux-all, cipux-cat-webmin, cipux-cibot, cipux-common, cipux-profile, cipux-rpc, debian-edu-fr-all, debian-edu-fr-skels, italc, moodle-cipux, moodle-courses-fr, ncs, webmin, webmin-apache, webmin-bind, webmin-cfengine, webmin-core, webmin-cupsadmin-skolelinux, webmin-dhcpd, webmin-dhcpd3, webmin-exports, webmin-grub, webmin-inetd, webmin-ldap-netgroups, webmin-ldap-user-simple, webmin-lvm, webmin-quota, webmin-raid, webmin-samba, webmin-slbackup, webmin-software, webmin-squid, webmin-sshd, webmin-status, webmin-webalizer, zone-file-check
 Description: DebianEdu main server packages
  A metapackage containing dependencies for packages required on all
  main server installations in the DebianEdu custom Debian distribution.

=== debian/rules ===
#!/usr/bin/make -f

debian/control: 
	$(MAKE) debian/control

build: 
	$(MAKE) debian/control
	dh_testdir
	$(MAKE) tasksel

clean: debian/control
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean 

install: debian/control build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install debian-edu-tasks.desc usr/share/tasksel

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -A README
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure debian/control
